require('should');
const Message = require('../lib/message.js')
const WechatAPI = require('wechat-api');
const bluebird = require('bluebird');
config = {
	mq:{
      rabbitmq: {
        host: '192.168.19.141',
        port: 5672,
        login: 'chat_message_acceptor',
        password: 'chat_message_acceptor',
        vhost: 'crm_ng'
      },
      rabbitqueue: 'crm.chat.message.dispatcher.out.tt.zp_wechat_qy',
      exchange: 'crm.chat.message.dispatcher.out',
      routing: '#',
      noDeclare: false
  },
  wechat:{
    appid:"wx294011eb8fdc98f9",
    secret:"7a5023ed7b95c077267d667cbce54cab"
  }
}

// bluebird.promisifyAll(WechatAPI.prototype);

let wechatapi = new WechatAPI(config.wechat.appid,config.wechat.secret);

describe('test message',function(){
  it.only('start mq',function(done){

    const message = new Message(config,wechatapi);
    let start = message.start();
    start.then(()=>{
      done();
    })
  })
  it('publishCrmMsg',function(done){
    const message = new Message(config);
    let start = message.start();
    start.then(function(value){
      let info= {
        uid: 'oF7gCs2dcZOydgNdjNdxhYLBHZnc',
        createTime: "2016-07-14T09:22:25.000Z",
        type: 'text',
        text: '123'   
      }
      return message.publishCrmMsg(info);
    }).then((msg)=>{
      console.log(msg);
      done();
    })
    start.catch((error)=>{
      should.throw(error);
    })
  })
})


